Commit afb5de06 authored by Arnaud Blanchard's avatar Arnaud Blanchard

Adapt modif for ubuntu. (remove the use of mktemp)

parent 78e05e62
......@@ -11,9 +11,14 @@
# Users are therefore encouraged to load and test the software's suitability as regards their requirements in conditions enabling the security of their systems and/or data to be ensured  and, more generally, to use and operate it in the same conditions as regards security.
# The fact that you are presently reading this means that you have had knowledge of the CeCILL v2.1 license and that you accept its terms.
#Go in blaar directory
cd $(dirname $0)/..
source scripts/blaar.sh
#blc_core has to be first. It is used by all others projects
#blc_program has to be before blc_processes ( not nice dependecy)
lib_website=https://framagit.org/blibs
......@@ -27,13 +32,13 @@ for lib in $basic_libs
do
echo "Cloning '$lib':"
commandline="git submodule add $lib_website/$lib.git blibs/$lib"
$commandline > $TMPDIR/clone_$lib.log || { echo "Fail cloning '$lib' executing: '$commandline'"; cat $TMPDIR/clone_$lib.log; echo ; }
$commandline > $TMP_DIR/clone_$lib.log || { echo "Fail cloning '$lib' executing: '$commandline'"; cat $TMP_DIR/clone_$lib.log; echo ; }
done
for module in $standard_modules
do
echo "Cloning '$module':"
commandline="git submodule add $module_website/$module.git"
$commandline > $TMPDIR/clone_$module.log || { echo "Fail cloning '$module' executing: '$commandline'"; cat $TMPDIR/clone_$module.log; echo ; }
$commandline > $TMP_DIR/clone_$module.log || { echo "Fail cloning '$module' executing: '$commandline'"; cat $TMP_DIR/clone_$module.log; echo ; }
done
......@@ -19,8 +19,7 @@ set -o pipefail #Error if a pipe fail
#we go in blaar directory
cd $(dirname $0)/..
developer_tools/clone_common_projects.sh
developer_tools/clone_standard_modules.sh
mkdir -p blibs
cd blibs
......
......@@ -20,7 +20,8 @@ set -o pipefail #Error if a pipe fail
blaar_program_name=$(basename $0)
#Create a temporary directory, essencially for logs
TMP_DIR="$(mktemp -d -t $blaar_program_name)"
TMP_DIR=/tmp/blaar/$blaar_program_name$$
mkdir -p $TMP_DIR
trap 'error=$?; rm -rf "$TMP_DIR"; [ $error = 0 ] || { echo; echo "BLAAR: error $error executing $blaar_program_name $*"; echo; exit $error; }' EXIT INT HUP TERM ABRT
calc(){
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment